FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::format::FormatItem Struct Reference

## Public Member Functions
| FormatItem (FormatItem &&)=default
FormatItem & | operator= (FormatItem &&)=default
template<typename A , typename = common::NoLvalue<A>>
| FormatItem (std::optional< std::uint64_t > &&r, A &&x)
template<typename A , typename = common::NoLvalue<A>>
| FormatItem (A &&x)

## Public Attributes
std::optional< std::uint64_t > | repeatCount
std::variant< IntrinsicTypeDataEditDesc, DerivedTypeDataEditDesc, ControlEditDesc, std::string, std::list< FormatItem > > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/format-specification.h